package com.trs.project.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

@Data
@TableName("nm_notice")
public class NmNotice {

  private String projectCode;
  private String tenderProjectCode;
  private String bidSectionCodes;
  private String noticeBidNum;
  private String noticeName;
  private String noticeContent;
  private long noticeSendTime;
  private String noticeMedia;
  private String url;
  private String noticeNature;
  private String bulletinType;
  private long docGetStartTime;
  private long docGetEndTime;
  private String tenderDocGetMethod;
  private long bidDocReferEndTime;
  private long bidOpenTime;
  private String bidDocReferMethod;
  private String syndicatedFlag;
  private String marginPayFlag;
  private String marginPayType;
  private String bulletinDuty;
  private String bulletinDutyCodeType;
  private String platformCode;
  private String pubServicePlatCode;
  private long dataTimestamp;
  private String pspReleaseType;
  private String pspRelateNoticeId;
  private String pspFirstNoticeId;
  private String tenderCode;
  private String bidUrl;
  private String bidOpenMethod;
  private String tendererName;
  private String tenderCodeType;
  private String tendererCode;
  private String tendererAddress;
  private String tendererContactor;
  private String tendererPhoneNumber;
  private String tendererEmail;
  private String tenderAgencyName;
  private String tenderAgencyCodeType;
  private String tenderAgencyCode;
  private String tenderAgencyAddress;
  private String tenderAgencyContactor;
  private String tenderAgencyPhoneNumber;
  private String tenderAgencyEmail;
  private String examinerName;
  private String otherContent;


  public String getProjectCode() {
    return projectCode;
  }

  public void setProjectCode(String projectCode) {
    this.projectCode = projectCode;
  }


  public String getTenderProjectCode() {
    return tenderProjectCode;
  }

  public void setTenderProjectCode(String tenderProjectCode) {
    this.tenderProjectCode = tenderProjectCode;
  }


  public String getBidSectionCodes() {
    return bidSectionCodes;
  }

  public void setBidSectionCodes(String bidSectionCodes) {
    this.bidSectionCodes = bidSectionCodes;
  }


  public String getNoticeBidNum() {
    return noticeBidNum;
  }

  public void setNoticeBidNum(String noticeBidNum) {
    this.noticeBidNum = noticeBidNum;
  }


  public String getNoticeName() {
    return noticeName;
  }

  public void setNoticeName(String noticeName) {
    this.noticeName = noticeName;
  }


  public String getNoticeContent() {
    return noticeContent;
  }

  public void setNoticeContent(String noticeContent) {
    this.noticeContent = noticeContent;
  }


  public long getNoticeSendTime() {
    return noticeSendTime;
  }

  public void setNoticeSendTime(long noticeSendTime) {
    this.noticeSendTime = noticeSendTime;
  }


  public String getNoticeMedia() {
    return noticeMedia;
  }

  public void setNoticeMedia(String noticeMedia) {
    this.noticeMedia = noticeMedia;
  }


  public String getUrl() {
    return url;
  }

  public void setUrl(String url) {
    this.url = url;
  }


  public String getNoticeNature() {
    return noticeNature;
  }

  public void setNoticeNature(String noticeNature) {
    this.noticeNature = noticeNature;
  }


  public String getBulletinType() {
    return bulletinType;
  }

  public void setBulletinType(String bulletinType) {
    this.bulletinType = bulletinType;
  }


  public long getDocGetStartTime() {
    return docGetStartTime;
  }

  public void setDocGetStartTime(long docGetStartTime) {
    this.docGetStartTime = docGetStartTime;
  }


  public long getDocGetEndTime() {
    return docGetEndTime;
  }

  public void setDocGetEndTime(long docGetEndTime) {
    this.docGetEndTime = docGetEndTime;
  }


  public String getTenderDocGetMethod() {
    return tenderDocGetMethod;
  }

  public void setTenderDocGetMethod(String tenderDocGetMethod) {
    this.tenderDocGetMethod = tenderDocGetMethod;
  }


  public long getBidDocReferEndTime() {
    return bidDocReferEndTime;
  }

  public void setBidDocReferEndTime(long bidDocReferEndTime) {
    this.bidDocReferEndTime = bidDocReferEndTime;
  }


  public long getBidOpenTime() {
    return bidOpenTime;
  }

  public void setBidOpenTime(long bidOpenTime) {
    this.bidOpenTime = bidOpenTime;
  }


  public String getBidDocReferMethod() {
    return bidDocReferMethod;
  }

  public void setBidDocReferMethod(String bidDocReferMethod) {
    this.bidDocReferMethod = bidDocReferMethod;
  }


  public String getSyndicatedFlag() {
    return syndicatedFlag;
  }

  public void setSyndicatedFlag(String syndicatedFlag) {
    this.syndicatedFlag = syndicatedFlag;
  }


  public String getMarginPayFlag() {
    return marginPayFlag;
  }

  public void setMarginPayFlag(String marginPayFlag) {
    this.marginPayFlag = marginPayFlag;
  }


  public String getMarginPayType() {
    return marginPayType;
  }

  public void setMarginPayType(String marginPayType) {
    this.marginPayType = marginPayType;
  }


  public String getBulletinDuty() {
    return bulletinDuty;
  }

  public void setBulletinDuty(String bulletinDuty) {
    this.bulletinDuty = bulletinDuty;
  }


  public String getBulletinDutyCodeType() {
    return bulletinDutyCodeType;
  }

  public void setBulletinDutyCodeType(String bulletinDutyCodeType) {
    this.bulletinDutyCodeType = bulletinDutyCodeType;
  }


  public String getPlatformCode() {
    return platformCode;
  }

  public void setPlatformCode(String platformCode) {
    this.platformCode = platformCode;
  }


  public String getPubServicePlatCode() {
    return pubServicePlatCode;
  }

  public void setPubServicePlatCode(String pubServicePlatCode) {
    this.pubServicePlatCode = pubServicePlatCode;
  }


  public long getDataTimestamp() {
    return dataTimestamp;
  }

  public void setDataTimestamp(long dataTimestamp) {
    this.dataTimestamp = dataTimestamp;
  }


  public String getPspReleaseType() {
    return pspReleaseType;
  }

  public void setPspReleaseType(String pspReleaseType) {
    this.pspReleaseType = pspReleaseType;
  }


  public String getPspRelateNoticeId() {
    return pspRelateNoticeId;
  }

  public void setPspRelateNoticeId(String pspRelateNoticeId) {
    this.pspRelateNoticeId = pspRelateNoticeId;
  }


  public String getPspFirstNoticeId() {
    return pspFirstNoticeId;
  }

  public void setPspFirstNoticeId(String pspFirstNoticeId) {
    this.pspFirstNoticeId = pspFirstNoticeId;
  }


  public String getTenderCode() {
    return tenderCode;
  }

  public void setTenderCode(String tenderCode) {
    this.tenderCode = tenderCode;
  }


  public String getBidUrl() {
    return bidUrl;
  }

  public void setBidUrl(String bidUrl) {
    this.bidUrl = bidUrl;
  }


  public String getBidOpenMethod() {
    return bidOpenMethod;
  }

  public void setBidOpenMethod(String bidOpenMethod) {
    this.bidOpenMethod = bidOpenMethod;
  }


  public String getTendererName() {
    return tendererName;
  }

  public void setTendererName(String tendererName) {
    this.tendererName = tendererName;
  }


  public String getTenderCodeType() {
    return tenderCodeType;
  }

  public void setTenderCodeType(String tenderCodeType) {
    this.tenderCodeType = tenderCodeType;
  }


  public String getTendererCode() {
    return tendererCode;
  }

  public void setTendererCode(String tendererCode) {
    this.tendererCode = tendererCode;
  }


  public String getTendererAddress() {
    return tendererAddress;
  }

  public void setTendererAddress(String tendererAddress) {
    this.tendererAddress = tendererAddress;
  }


  public String getTendererContactor() {
    return tendererContactor;
  }

  public void setTendererContactor(String tendererContactor) {
    this.tendererContactor = tendererContactor;
  }


  public String getTendererPhoneNumber() {
    return tendererPhoneNumber;
  }

  public void setTendererPhoneNumber(String tendererPhoneNumber) {
    this.tendererPhoneNumber = tendererPhoneNumber;
  }


  public String getTendererEmail() {
    return tendererEmail;
  }

  public void setTendererEmail(String tendererEmail) {
    this.tendererEmail = tendererEmail;
  }


  public String getTenderAgencyName() {
    return tenderAgencyName;
  }

  public void setTenderAgencyName(String tenderAgencyName) {
    this.tenderAgencyName = tenderAgencyName;
  }


  public String getTenderAgencyCodeType() {
    return tenderAgencyCodeType;
  }

  public void setTenderAgencyCodeType(String tenderAgencyCodeType) {
    this.tenderAgencyCodeType = tenderAgencyCodeType;
  }


  public String getTenderAgencyCode() {
    return tenderAgencyCode;
  }

  public void setTenderAgencyCode(String tenderAgencyCode) {
    this.tenderAgencyCode = tenderAgencyCode;
  }


  public String getTenderAgencyAddress() {
    return tenderAgencyAddress;
  }

  public void setTenderAgencyAddress(String tenderAgencyAddress) {
    this.tenderAgencyAddress = tenderAgencyAddress;
  }


  public String getTenderAgencyContactor() {
    return tenderAgencyContactor;
  }

  public void setTenderAgencyContactor(String tenderAgencyContactor) {
    this.tenderAgencyContactor = tenderAgencyContactor;
  }


  public String getTenderAgencyPhoneNumber() {
    return tenderAgencyPhoneNumber;
  }

  public void setTenderAgencyPhoneNumber(String tenderAgencyPhoneNumber) {
    this.tenderAgencyPhoneNumber = tenderAgencyPhoneNumber;
  }


  public String getTenderAgencyEmail() {
    return tenderAgencyEmail;
  }

  public void setTenderAgencyEmail(String tenderAgencyEmail) {
    this.tenderAgencyEmail = tenderAgencyEmail;
  }


  public String getExaminerName() {
    return examinerName;
  }

  public void setExaminerName(String examinerName) {
    this.examinerName = examinerName;
  }


  public String getOtherContent() {
    return otherContent;
  }

  public void setOtherContent(String otherContent) {
    this.otherContent = otherContent;
  }

}
